> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/developer-guide/pt-br/development-cycle/dashboards/alerts/webhook.md).

# Como configurar alertas via webhook

Saiba como configurar alertas de notificação usando um webhook.

Um webhook pode ser usado para integrar com o fluxo existente do cliente. No entanto, é importante observar que o endpoint necessário para ativar o webhook deve ser fornecido previamente pelo cliente, pois ele não é criado pela Digibee Integration Platform.

Siga estas etapas para configurar seus alertas usando um webhook:

1. Na página inicial da Plataforma, clique em **Monitor**.
2. No menu no topo da página, clique em **Configuração de Alertas**.
   * Alternativamente, você pode clicar em **Configurações** e, no menu à esquerda, selecionar Alertas.
3. Clique em **Criar**.
4. Selecione o pipeline ao qual você deseja atribuir o alerta.
5. Configure o alerta de acordo com a métrica desejada.
6. Ative a opção **Webhook**.
7. Copie o endpoint e insira-o no campo **Webhook URL**.

Após completar o processo de configuração, a seguinte saída JSON é gerada:

```json
{
    "realm": "realm",
    "environment": "env",
    "alertName": "Alert-name",
    "pipelineName": "pipeline",
    "startsAt": "0001-01-01T00:00:00Z",
    "endsAt": "0001-01-01T00:00:00Z",
    "status": "firing" // Esse campo pode ser firing ou resolved
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digibee.com/documentation/developer-guide/pt-br/development-cycle/dashboards/alerts/webhook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
